## tuxpaint 0.9.35

=== Makefile ===
# Tux Paint - A simple drawing program for children.

# Copyright (c) 2002-2025
# Various contributors (see AUTHORS.txt)
# https://tuxpaint.org/

# June 14, 2002 - May 26, 2025


# The version number, for release:
# (append "-rc#", e.g. "-rc1", when making release candidates
# for beta testing)

VER_VERSION:=0.9.35

# We are always SDL2 now, so don't need "-sdl2"
VER_FLAVOR:=""

# Set to yes if you don't want to install in current live system
# this affects icons and other desktop related files
PACKAGE_ONLY:=no

ifdef SOURCE_DATE_EPOCH
  VER_DATE=$(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+%Y-%m-%d" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+%Y-%m-%d" 2>/dev/null || date -u "+%Y-%m-%d")
else
  VER_DATE=$(shell date "+%Y-%m-%d")
endif

MAGIC_API_VERSION:=0x0000000B

# Need to know the OS
SYSNAME:=$(shell uname -s)
ifeq ($(findstring MINGW32, $(SYSNAME)),MINGW32)
  OS:=windows
  GPERF:=/usr/bin/gperf
  MINGW_DIR:=/mingw32
else
  ifeq ($(findstring MINGW64, $(SYSNAME)),MINGW64)
    OS:=windows
    GPERF:=/usr/bin/gperf
    MINGW_DIR:=/mingw64
  else
    ifeq ($(SYSNAME),Darwin)
      OS:=macos
      GPERF:=/usr/bin/gperf

      CC:=$(shell xcrun -f clang)
      ARCHS:=$(shell uname -m)
      MINVER:=10.8
      SDKROOT:=$(shell xcrun --show-sdk-path)
      HOSTROOT:=/opt/local
    else
      ifeq ($(SYSNAME),BeOS)
        OS:=beos
        GPERF:=$(shell finddir B_USER_BIN_DIRECTORY)/gperf
      else
        ifeq ($(SYSNAME),Haiku)
          OS:=beos
          GPERF:=$(shell finddir B_SYSTEM_BIN_DIRECTORY)/gperf
          STDC_LIB:=-lstdc++
          ifeq ($(shell gcc --version | cut -c 1-6),2.95.3)
            STDC_LIB:=-lstdc++.r4
          endif
        else
          ifeq ($(SYSNAME),OS/2)
            OS:=os2
            GPERF:=/@unixroot/usr/bin/gperf.exe
          else
            ifeq ($(SYSNAME),NetBSD)
              OS:=netbsd
              GPERF:=/usr/bin/gperf
            else
              OS:=linux
              GPERF:=/usr/bin/gperf
            endif
          endif
        endif
      endif
    endif
  endif
endif

# FIXME: ^ Support NetBSD a recognized OS


# CROSS COMPILATION OVERRIDES
#
# Usage:
#   make HOST=<HOST> HOSTROOT=<HOSTROOT> [EXTRA_ARGS]
#
# <HOST> may be one of:
#   iphoneos          Build for the iphoneos, presumably on macOS.
#   iphonesimulator   Build for the iphonesimulator, presumably on macOS.
#
# <HOSTROOT> is the directory containing support files for building for <HOST>:
#   <HOSTROOT>/include        Header files.
#   <HOSTROOT>/lib            Library files.
#   <HOSTROOT>/lib/pkgconfig  *.pc files.
#
ifdef HOST
  ifdef HOSTROOT
    ifeq ($(wildcard $(HOSTROOT)/.),)
      $(error Invalid HOSTROOT: $(HOSTROOT))
    endif

    ifeq ($(HOST),iphoneos)
      OS:=ios
      CC:=$(shell xcrun --sdk iphoneos -f clang)
      SDK:=iphoneos
      ARCHS:=arm64 armv7s armv7
      MINVER:=9.0
      MINVEROPT:=-miphoneos-version-min=$(MINVER)
      SDKROOT:=$(shell xcrun --sdk iphoneos --show-sdk-path)
    else ifeq ($(HOST),iphonesimulator)
      OS:=ios
      CC:=$(shell xcrun --sdk iphonesimulator -f clang)
      SDK:=iphonesimulator
      ARCHS:=$(shell uname -m)
      MINVER:=9.0
      MINVEROPT:=-mios-simulator-version-min=$(MINVER)
      SDKROOT:=$(shell xcrun --sdk iphonesimulator --show-sdk-path)
    else
      $(error Invalid HOST for cross compilation: $(HOST))
    endif

    # We set PKG_CONFIG_LIBDIR instead of PKG_CONFIG_PATH because we want to
    # *change* where pkg-config looks for .pc files instead of adding to the
    # default path which may have libraries that aren't for HOST.
    export PKG_CONFIG_LIBDIR:=$(HOSTROOT)/lib/pkgconfig
  endif
endif

# change to sdl-console to build a console version on Windows
SDL_PCNAME:=sdl2

WINDRES:=windres
PKG_CONFIG:=pkg-config
ifdef PKG_CONFIG_LIBDIR
  # Cross compilation override
  PKG_CONFIG:=PKG_CONFIG_LIBDIR=$(PKG_CONFIG_LIBDIR) $(PKG_CONFIG)
endif

# test if a pkg-config library exists or can be linked manually
linktest = $(shell [ -n "$(1)" ] \
    && $(PKG_CONFIG) --exists $(1) \
    && $(PKG_CONFIG) --libs $(1) \
    || if $(CC) $(CPPFLAGS) $(CFLAGS) -o dummy.o dummy.c $(LDFLAGS) $(2) $(3) > /dev/null 2>&1; \
	then \
		echo "$(2)"; \
	fi ;)

# test compiler options
comptest = $(shell if $(CC) $(CPPFLAGS) $(CFLAGS) $(1) $(2) -o dummy.o dummy.c $(LDFLAGS) > /dev/null 2>&1; \
	then \
		echo "$(1)"; \
	fi ;)

beos_RSRC_CMD:=rc haiku/tuxpaint.rdef && xres -o tuxpaint haiku/tuxpaint.rsrc
RSRC_CMD:=$($(OS)_RSRC_CMD)

beos_MIMESET_CMD:=mimeset -f tuxpaint
MIMESET_CMD:=$($(OS)_MIMESET_CMD)

macos_RAD_CMD:=[[ ! -d Resources/share ]] && mkdir -p Resources/share && ln -s ../../data Resources/share/tuxpaint || :
RAD_CMD:=$($(OS)_RAD_CMD)

windows_SO_TYPE:=dll
os2_SO_TYPE:=dll
macos_SO_TYPE:=dylib
ios_SO_TYPE:=dylib
beos_SO_TYPE:=so
linux_SO_TYPE:=so
netbsd_SO_TYPE:=so
SO_TYPE:=$($(OS)_SO_TYPE)

windows_LIBMINGW:=-L/usr/local/lib -lmingw32
LIBMINGW:=$($(OS)_LIBMINGW)

windows_EXE_EXT:=.exe
os2_EXE_EXT:=.exe
EXE_EXT:=$($(OS)_EXE_EXT)

macos_BUNDLE:=./TuxPaint-$(ARCHS).app
ios_BUNDLE:=./TuxPaint-$(SDK).app
BUNDLE:=$($(OS)_BUNDLE)

windows_ARCH_LIBS:=obj/win32_print.o obj/resource.o obj/win32_trash.o obj/win32_version.o
os2_ARCH_LIBS:=obj/postscript_print.o
macos_ARCH_LIBS:=src/macos_print.m obj/macos.o
ios_ARCH_LIBS:=src/ios_print.m obj/ios.o
beos_ARCH_LIBS:=obj/BeOS_print.o obj/haiku_trash.o
linux_ARCH_LIBS:=obj/postscript_print.o
netbsd_ARCH_LIBS:=obj/postscript_print.o
ARCH_LIBS:=$($(OS)_ARCH_LIBS)

windows_ARCH_CFLAGS:=
os2_ARCH_CFLAGS:=
macos_ARCH_CFLAGS:=-isysroot $(SDKROOT) -I$(SDKROOT)/usr/include -I$(HOSTROOT)/include -mmacosx-version-min=$(MINVER) -arch $(subst $() $(), -arch ,$(ARCHS)) -w -headerpad_max_install_names -DHAVE_STRCASESTR
ios_ARCH_CFLAGS:=-isysroot $(SDKROOT) -I$(SDKROOT)/usr/include -I$(HOSTROOT)/include $(MINVEROPT) -arch $(subst $() $(), -arch ,$(ARCHS)) -w -fPIC -DHAVE_STRCASESTR -DUNLINK_ONLY
beos_ARCH_CFLAGS:=
linux_ARCH_CFLAGS:=
netbsd_ARCH_CFLAGS:=-DHAVE_STRCASESTR
ARCH_CFLAGS:=$($(OS)_ARCH_CFLAGS)

windows_ARCH_LDFLAGS:=
os2_ARCH_LDFLAGS:=-Zomf -Zmap -Zargs-wild -D__ST_MT_ERRNO__
macos_ARCH_LDFLAGS:=-isysroot $(SDKROOT) -L$(HOSTROOT)/lib -mmacosx-version-min=$(MINVER) -arch $(subst $() $(), -arch ,$(ARCHS))
ios_ARCH_LDFLAGS:=-isysroot $(SDKROOT) -L$(HOSTROOT)/lib $(MINVEROPT) -arch $(subst $() $(), -arch ,$(ARCHS))
beos_ARCH_LDFLAGS:=
linux_ARCH_LDFLAGS:=
netbsd_ARCH_LDFLAGS:=
ARCH_LDFLAGS:=$($(OS)_ARCH_LDFLAGS)

LDFLAGS:=$(ARCH_LDFLAGS)

ifeq ($(OS), os2)
  PAPER_LIB:=$(call linktest,,-lpaper_dll,)
else
  PAPER_LIB:=$(call linktest,,-lpaper,)
endif
PNG:=$(call linktest,libpng,-lpng,)
PNG:=$(if $(PNG),$(PNG),$(call linktest,,-lpng12,))

FRIBIDI_LIB:=$(shell $(PKG_CONFIG) --libs fribidi)
FRIBIDI_CFLAGS:=$(shell $(PKG_CONFIG) --cflags fribidi)

LIBXML_LIB:=$(shell $(PKG_CONFIG) --libs libxml-2.0)
LIBXML_CFLAGS:=$(shell $(PKG_CONFIG) --cflags libxml-2.0)

windows_ARCH_LINKS:=-lgdi32 -lcomdlg32 $(PNG) -lz -lwinspool -lshlwapi $(FRIBIDI_LIB) $(LIBXML_LIB) -liconv -limagequant -mwindows
os2_ARCH_LINKS:=$(PAPER_LIB) $(FRIBIDI_LIB) $(LIBXML_LIB) -limagequant
macos_ARCH_LINKS:=$(FRIBIDI_LIB) $(LIBXML_LIB) -limagequant -lSDLmain -Wl,-framework,AppKit -Wl,-framework,Cocoa $(shell $(PKG_CONFIG) --libs pangoft2)
ios_ARCH_LINKS=$(FRIBIDI_LIB) $(LIBXML_LIB) -limagequant -ljpeg -lbz2 $(shell $(PKG_CONFIG) --libs freetype2 libtiff-4 libwebp libffi harfbuzz libmpg123 ogg vorbisenc vorbisidec libxml-2.0 pangoft2 libpcre)
beos_ARCH_LINKS:=-lintl $(PNG) -lz -lbe -lnetwork -liconv $(FRIBIDI_LIB) $(LIBXML_LIB) $(PAPER_LIB) $(STDC_LIB) -limagequant
linux_ARCH_LINKS:=$(PAPER_LIB) $(FRIBIDI_LIB) $(LIBXML_LIB) -limagequant
netbsd_ARCH_LINKS:=$(PAPER_LIB) $(FRIBIDI_LIB) $(LIBXML_LIB) -limagequant
ARCH_LINKS:=$($(OS)_ARCH_LINKS)

windows_ARCH_HEADERS:=src/win32_print.h
os2_ARCH_HEADERS:=
macos_ARCH_HEADERS:=src/macos.h
beos_ARCH_HEADERS:=src/BeOS_print.h
linux_ARCH_HEADERS:=
netbsd_ARCH_HEADERS:=
ARCH_HEADERS:=$($(OS)_ARCH_HEADERS)

# Where things will go when ultimately installed:
# For macOS and iOS, the prefix is relative to DESTDIR.
windows_PREFIX:=/usr/local
os2_PREFIX:=c:/extras/tuxpaint
macos_PREFIX:=Resources
ios_PREFIX:=.
linux_PREFIX:=/usr/local
netbsd_PREFIX:=/usr/local
PREFIX:=$($(OS)_PREFIX)

# Root directory to place files when creating packages.
# PKG_ROOT is the old name for this, and should be undefined.
# macOS and iOS are set up as bundles, with all files under the bundle.
# "TuxPaint-1" is the OLPC XO name. Installing to ./ is bad!
ifeq ($(OS),macos)
  DESTDIR:=$(BUNDLE)/Contents/
else ifeq ($(OS),ios)
  DESTDIR:=$(BUNDLE)/
else ifeq ($(PREFIX),./)
  DESTDIR:=TuxPaint-1
else
  DESTDIR:=$(PKG_ROOT)
endif

# Program:
BIN_PREFIX:=$(DESTDIR)$(PREFIX)/bin

# Data:
DATA_PREFIX:=$(DESTDIR)$(PREFIX)/share/tuxpaint

# Locale files
LOCALE_PREFIX=$(DESTDIR)$(PREFIX)/share/locale

# IM files
IM_PREFIX=$(DESTDIR)$(PREFIX)/share/tuxpaint/im

# Libraries
LIBDIR=$(PREFIX)

# Magic Tool plug-ins
INCLUDE_PREFIX:=$(DESTDIR)$(PREFIX)/include
MAGIC_PREFIX:=$(DESTDIR)$(LIBDIR)/lib$(LIBDIRSUFFIX)/tuxpaint/plugins

# Docs and man page:
DOC_PREFIX:=$(DESTDIR)$(PREFIX)/share/doc/tuxpaint-$(VER_VERSION)
MAN_PREFIX:=$(DESTDIR)$(PREFIX)/share/man
DEVMAN_PREFIX:=$(DESTDIR)$(PREFIX)/share/man

# BASH tab-completion file:
COMPLETIONDIR:=$(DESTDIR)/etc/bash_completion.d

# 'System-wide' Config file:
ifeq ($(PREFIX),/usr)
  CONFDIR:=$(DESTDIR)/etc/tuxpaint
else
  CONFDIR:=$(DESTDIR)$(PREFIX)/etc/tuxpaint
endif

ifeq ($(SYSNAME),Haiku)
  CONFDIR:=$(shell finddir B_USER_SETTINGS_DIRECTORY)/TuxPaint
endif

# Icons and launchers:
ICON_PREFIX:=$(DESTDIR)$(PREFIX)/share/pixmaps
NEWICON_PREFIX:=$(DESTDIR)$(PREFIX)/share/icons/hicolor
X11_ICON_PREFIX:=$(DESTDIR)$(PREFIX)/share/pixmaps

# Appstream metainfo
METAINFO_PREFIX=$(DESTDIR)$(PREFIX)/share/metainfo

# Maemo flag
MAEMOFLAG:=


# Where to find cursor shape XBMs

MOUSEDIR:=mouse
CURSOR_SHAPES:=LARGE
# MOUSEDIR:=mouse/16x16
# CURSOR_SHAPES:=SMALL

# Libraries, paths, and flags:
SDL_LIBS:=$(shell $(PKG_CONFIG) $(SDL_PCNAME) --libs)
SDL_LIBS+=$(call linktest,SDL2_image,-lSDL2_image,$(SDL_LIBS))
SDL_LIBS+=$(call linktest,SDL2_ttf,-lSDL2_ttf,$(SDL_LIBS))
SDL_LIBS+=$(shell $(PKG_CONFIG) SDL2_gfx --libs)
SDL_LIBS+=$(call linktest,zlib,-lz,)
SDL_LIBS+=$(call linktest,libpng,$(PNG),)

# Sound support
SDL_MIXER_LIB:=$(call linktest,SDL2_mixer,-lSDL2_mixer,$(SDL_LIBS))
NOSOUNDFLAG:=$(if $(SDL_MIXER_LIB),,-DNOSOUND$(warning -lSDL2_Mixer failed, no sound for you!))

# SDL2_Pango is used to render text (and is needed for complex scripts like Thai and Arabic)
SDL2_PANGO_LIB:=$(call linktest,SDL2_Pango,-lSDL2_Pango,$(SDL_LIBS))
SDL2_PANGO_CFLAGS:=$(shell $(PKG_CONFIG) --cflags SDL2_Pango)

# Pango itself is needed for direct and indirect access to some Pango functions
PANGO_LIB:=$(call linktest,pango,-lpango,$(SDL_LIBS))
PANGO_LIB+=$(call linktest,pangoft2,-lpangoft2,$(SDL_LIBS))
PANGO_CFLAGS:=$(shell $(PKG_CONFIG) --cflags pango)

SDL_LIBS+=$(SDL_MIXER_LIB) $(SDL2_PANGO_LIB) $(PANGO_LIB)

SDL_CFLAGS:=$(shell $(PKG_CONFIG) $(SDL_PCNAME) --cflags)
SDL_CFLAGS+=$(shell $(PKG_CONFIG) SDL2_gfx --cflags)

# New one: -lrsvg-2 -lcairo
# Old one: -lcairo -lsvg -lsvg-cairo
SVG_LIB:=$(shell $(PKG_CONFIG) --libs librsvg-2.0 cairo || $(PKG_CONFIG) --libs libsvg-cairo)

# lots of -I things, so really should be SVG_CPPFLAGS
SVG_CFLAGS:=$(shell $(PKG_CONFIG) --cflags librsvg-2.0 cairo || $(PKG_CONFIG) --cflags libsvg-cairo)

# SVG support via Cairo
NOSVGFLAG:=$(if $(SVG_LIB),,-DNOSVG$(warning No SVG for you!))

# SVG support uses libcairo1
OLDSVGFLAG:=$(if $(filter -lsvg-cairo,$(SVG_LIB)),-DOLD_SVG,)


PNG_CFLAGS:=$(shell $(PKG_CONFIG) libpng --cflags)

ifeq ($(findstring MINGW, $(SYSNAME)),MINGW)
  CONVERT:=magick convert
else
  CONVERT:=./convert-wrapper.sh
endif

ifeq ($(hack),1)
hack:
	@echo 'SDL2_PANGO_LIB is' $(SDL2_PANGO_LIB)
	@echo 'PANGO_LIB      is' $(PANGO_LIB)
	@echo 'SDL_MIXER_LIB  is' $(SDL_MIXER_LIB)
	@echo 'SVG_LIB        is' $(SVG_LIB)

=== docs/Makefile ===
# Makefile for Tux Paint docs
#
# Uses "w3m" to convert docs from HTML to plain text.
# (Normally only ran by the developers after updating the HTML, prior to
# release.)
#
# Bill Kendrick
# bill@newbreedsoftware.com
#
# Sept. 4, 2005 - April 19, 2025

HTML2TXT_OPTIONS:=-dump -cols 80 -no-graph -o pseudo_inlines=f -o display_image=f -T text/html
HTML2TXT:=./w3m.sh $(HTML2TXT_OPTIONS)

EN_HTMLFILES:=$(wildcard en/html/*.html)
EN_TEXTFILES:=$(patsubst en/html/%.html,en/%.txt,$(EN_HTMLFILES))

ES_HTMLFILES:=$(wildcard es_ES.UTF-8/html/*.html)
ES_TEXTFILES:=$(patsubst es_ES.UTF-8/html/%.html,es_ES.UTF-8/%.txt,$(ES_HTMLFILES))

FR_HTMLFILES:=$(wildcard fr_FR.UTF-8/html/*.html)
FR_TEXTFILES:=$(patsubst fr_FR.UTF-8/html/%.html,fr_FR.UTF-8/%.txt,$(FR_HTMLFILES))

GL_HTMLFILES:=$(wildcard gl_ES.UTF-8/html/*.html)
GL_TEXTFILES:=$(patsubst gl_ES.UTF-8/html/%.html,gl_ES.UTF-8/%.txt,$(GL_HTMLFILES))

IS_HTMLFILES:=$(wildcard is_IS.UTF-8/html/*.html)
IS_TEXTFILES:=$(patsubst is_IS.UTF-8/html/%.html,is_IS.UTF-8/%.txt,$(IS_HTMLFILES))

IT_HTMLFILES:=$(wildcard it/html/*.html)
IT_TEXTFILES:=$(patsubst it/html/%.html,it/%.txt,$(IT_HTMLFILES))

JA_HTMLFILES:=$(wildcard ja_JP.UTF-8/html/*.html)
JA_TEXTFILES:=$(patsubst ja_JP.UTF-8/html/%.html,ja_JP.UTF-8/%.txt,$(JA_HTMLFILES))

NL_HTMLFILES:=$(wildcard nl/html/*.html)
NL_TEXTFILES:=$(patsubst nl/html/%.html,nl/%.txt,$(NL_HTMLFILES))

RU_HTMLFILES:=$(wildcard ru/html/*.html)
RU_TEXTFILES:=$(patsubst ru/html/%.html,ru/%.txt,$(RU_HTMLFILES))

SV_HTMLFILES:=$(wildcard sv_SE.UTF-8/html/*.html)
SV_TEXTFILES:=$(patsubst sv_SE.UTF-8/html/%.html,sv_SE.UTF-8/%.txt,$(SV_HTMLFILES))

SQ_HTMLFILES:=$(wildcard sq_AL.UTF-8/html/*.html)
SQ_TEXTFILES:=$(patsubst sq_AL.UTF-8/html/%.html,sq_AL.UTF-8/%.txt,$(SQ_HTMLFILES))

ZH_CN_HTMLFILES:=$(wildcard zh_cn/html/*.html)
ZH_CN_TEXTFILES:=$(patsubst zh_cn/html/%.html,zh_cn/%.txt,$(ZH_CN_HTMLFILES))

ZH_TW_HTMLFILES:=$(wildcard zh_tw/html/*.html)
ZH_TW_TEXTFILES:=$(patsubst zh_tw/html/%.html,zh_tw/%.txt,$(ZH_TW_HTMLFILES))


.PHONY: all
all:	$(EN_TEXTFILES) \
	$(ES_TEXTFILES) \
	$(FR_TEXTFILES) \
	$(GL_TEXTFILES) \
	$(IS_TEXTFILES) \
	$(IT_TEXTFILES) \
	$(JA_TEXTFILES) \
	$(NL_TEXTFILES) \
	$(RU_TEXTFILES) \
	$(SQ_TEXTFILES) \
	$(SV_TEXTFILES) \
	$(ZH_CN_TEXTFILES) \
	$(ZH_TW_TEXTFILES)

.PHONY: clean
clean:
	-rm \
	$(EN_TEXTFILES) \
	$(ES_TEXTFILES) \
	$(FR_TEXTFILES) \
	$(GL_TEXTFILES) \
	$(IS_TEXTFILES) \
	$(IT_TEXTFILES) \
	$(JA_TEXTFILES) \
	$(NL_TEXTFILES) \
	$(RU_TEXTFILES) \
	$(SQ_TEXTFILES) \
	$(SV_TEXTFILES) \
	$(ZH_CN_TEXTFILES) \
	$(ZH_TW_TEXTFILES)

$(EN_TEXTFILES): en/%.txt: en/html/%.html
	$(HTML2TXT) $< > $@

$(ES_TEXTFILES): es_ES.UTF-8/%.txt: es_ES.UTF-8/html/%.html
	$(HTML2TXT) $< > $@

$(FR_TEXTFILES): fr_FR.UTF-8/%.txt: fr_FR.UTF-8/html/%.html
	$(HTML2TXT) $< > $@

$(GL_TEXTFILES): gl_ES.UTF-8/%.txt: gl_ES.UTF-8/html/%.html
	$(HTML2TXT) $< > $@

$(IS_TEXTFILES): is_IS.UTF-8/%.txt: is_IS.UTF-8/html/%.html
	$(HTML2TXT) $< > $@

$(IT_TEXTFILES): it/%.txt: it/html/%.html
	$(HTML2TXT) $< > $@

$(JA_TEXTFILES): ja_JP.UTF-8/%.txt: ja_JP.UTF-8/html/%.html
	$(HTML2TXT) $< > $@

$(NL_TEXTFILES): nl/%.txt: nl/html/%.html
	$(HTML2TXT) $< > $@

$(RU_TEXTFILES): ru/%.txt: ru/html/%.html
	$(HTML2TXT) $< > $@

$(SQ_TEXTFILES): sq_AL.UTF-8/%.txt: sq_AL.UTF-8/html/%.html
	$(HTML2TXT) $< > $@

$(SV_TEXTFILES): sv_SE.UTF-8/%.txt: sv_SE.UTF-8/html/%.html
	$(HTML2TXT) $< > $@

$(ZH_CN_TEXTFILES): zh_cn/%.txt: zh_cn/html/%.html
	$(HTML2TXT) $< > $@

$(ZH_TW_TEXTFILES): zh_tw/%.txt: zh_tw/html/%.html
	$(HTML2TXT) $< > $@

=== magic/magic-docs/Makefile ===
include ../../docs/Makefile

=== debian/changelog ===
tuxpaint (1:0.9.35-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Tue, 12 Aug 2025 20:53:54 +0200

=== debian/control ===
Source: tuxpaint
Section: graphics
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Uploaders: Debian Junior Maintainers <debian-jr@lists.debian.org>
Build-Depends: debhelper-compat (= 13),
               gettext,
               gperf,
	       imagemagick-7.q16,
               libcairo2-dev,
               libfribidi-dev,
               libkf5service-bin,
               libpaper-dev,
               libpng-dev,
               librsvg2-dev,
	       librsvg2-bin,
               libvorbis-dev (>= 1.0.0-2),
               libsdl2-dev,
               libsdl2-mixer-dev,
               libsdl2-image-dev,
               libsdl2-gfx-dev,
               libsdl2-ttf-dev,
               libsdl2-pango4-dev,
               libpangomm-2.48-dev,
	       libimagequant-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian-jr-team/tuxpaint
Vcs-Git: https://salsa.debian.org/debian-jr-team/tuxpaint.git

Package: tuxpaint
Architecture: any
Depends: libvorbis0a (>= 1.0.0-2),
         libvorbisfile3 (>= 1.0.0-2),
         netpbm,
         tuxpaint-data (= ${source:Version}),
         tuxpaint-plugins-default (>= 1:0.9.22-1) | tuxpaint-plugins,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: tuxpaint-config
Description: Paint program for young children
 Tux Paint is meant to be a simple drawing program for young
 children.  It is not meant as a general-purpose drawing tool.
 It IS meant to be fun and easy to use.  Sound effects and a
 cartoon character help let the user know what's going on, and
 keeps them entertained.
 .
 Tux Paint is extensible.  Brushes and "rubber stamp" shapes can be
 dropped in and pulled out.  For example, a teacher can drop in a
 collection of animal shapes and ask their students to draw an
 ecosystem.  Each shape can have a sound which is played, and
 textual facts which are displayed, when the child selects the shape.
 .
 There is no direct access to the computer's underlying intricacies.
 The current image is kept when the program quits, and reappears when
 it is restarted.  Saving images requires no need to create filenames
 or use the keyboard.  Opening an image is done by selecting it from
 a collection of thumbnails.

Package: tuxpaint-plugins-default
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: tuxpaint-plugins
Description: Magic tool plugins for Tux Paint
 Tux Paint is meant to be a simple drawing program for young
 children.  It is not meant as a general-purpose drawing tool.
 It IS meant to be fun and easy to use.  Sound effects and a
 cartoon character help let the user know what's going on, and
 keeps them entertained.
 .
 Tux Paint is extensible.  Brushes and "rubber stamp" shapes can be
 dropped in and pulled out.  For example, a teacher can drop in a
 collection of animal shapes and ask their students to draw an
 ecosystem.  Each shape can have a sound which is played, and
 textual facts which are displayed, when the child selects the shape.
 .
 There is no direct access to the computer's underlying intricacies.
 The current image is kept when the program quits, and reappears when
 it is restarted.  Saving images requires no need to create filenames
 or use the keyboard.  Opening an image is done by selecting it from
 a collection of thumbnails.
 .
 This package contains the default "Magic" plugins for Tux Paint.

Package: tuxpaint-dev
Architecture: all
Depends: ${misc:Depends}
Description: Development files for Tux Paint
 Tux Paint is meant to be a simple drawing program for young
 children.  It is not meant as a general-purpose drawing tool.
 It IS meant to be fun and easy to use.  Sound effects and a
 cartoon character help let the user know what's going on, and
 keeps them entertained.
 .
 This package contains development files for writing "Magic" plugins
 for Tux Paint.

Package: tuxpaint-data
Architecture: all
Depends: fonts-freefont-ttf,
         tuxpaint-stamps-default | tuxpaint-stamps,
         ${misc:Depends}
Recommends: tuxpaint
Suggests: fonts-arabeyes,
          fonts-arphic-gbsn00lp,
          fonts-arphic-uming,
          fonts-gujr,
          fonts-nanum,
          fonts-taml,
          fonts-telu,
          fonts-tlwg-garuda-otf
Description: Data files for Tux Paint, a paint program for children
 Tux Paint is meant to be a simple drawing program for young
 children.  It is not meant as a general-purpose drawing tool.
 It IS meant to be fun and easy to use.  Sound effects and a
 cartoon character help let the user know what's going on, and
 keeps them entertained.
 .
 Tux Paint is extensible.  Brushes and "rubber stamp" shapes can be
 dropped in and pulled out.  For example, a teacher can drop in a
 collection of animal shapes and ask their students to draw an
 ecosystem.  Each shape can have a sound which is played, and
 textual facts which are displayed, when the child selects the shape.
 .
 There is no direct access to the computer's underlying intricacies.
 The current image is kept when the program quits, and reappears when
 it is restarted.  Saving images requires no need to create filenames
 or use the keyboard.  Opening an image is done by selecting it from
 a collection of thumbnails.
 .
 This package contains sounds, images, fonts and other data for
 Tux Paint.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DH_ALWAYS_EXCLUDE=CVS

DPKG_EXPORT_BUILDFLAGS = 1
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)

ifeq ($(shell dpkg --print-architecture), x32)
   CFLAGS += -fPIC
   CXXFLAGS += -fPIC
   CPPFLAGS += -fPIC
endif

include /usr/share/dpkg/buildflags.mk

VER_DATE = $(shell date --utc --date="$$(dpkg-parsechangelog -SDate)" '+%Y-%m-%d')

# Needed for automatic dbgsym package
DEBUG_FLAGS += -g

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build-arch: configure-stamp build-arch-stamp
build-arch-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) clean
	dh_auto_build -- all PREFIX=/usr DEBUG_FLAGS="$(DEBUG_FLAGS)" VER_DATE="$(VER_DATE)"
	touch build-arch-stamp


build-indep: configure-stamp build-indep-stamp
build-indep-stamp:
	dh_testdir

	# Nothing to do here.

	touch build-indep-stamp


build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp

	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -A

	# tuxpaint:
	# - Note: install-icon is called here even though it seems
	#   it belongs in tuxpaint-data as it is needed for the menu
	#   icon.
	$(MAKE) install-bin install-icon \
	  install-importscript install-default-config install-bash-completion \
	  PREFIX=$(CURDIR)/debian/tuxpaint/usr \
	  CONFDIR=$(CURDIR)/debian/tuxpaint/etc/tuxpaint \
	  GNOME_PREFIX=$(CURDIR)/debian/tuxpaint/usr \
	  KDE_PREFIX=$(CURDIR)/debian/tuxpaint/usr/share/applnk \
	  X11_ICON_PREFIX=$(CURDIR)/debian/tuxpaint/usr/share/pixmaps/ \
	  COMPLETIONDIR=$(CURDIR)/debian/tuxpaint/usr/share/bash-completion/completions

	$(MAKE) install-magic-plugins \
	  PREFIX=$(CURDIR)/debian/tuxpaint-plugins-default/usr

	$(MAKE) install-magic-plugin-dev \
	  PREFIX=$(CURDIR)/debian/tuxpaint-dev/usr
	rm -f $(CURDIR)/debian/tuxpaint-dev/usr/bin/tuxpaint

	# tuxpaint-data:
	$(MAKE) install-data install-doc install-gettext \
	  install-example-stamps install-example-starters install-example-templates \
	  install-im install-osk \
	  PREFIX=$(CURDIR)/debian/tuxpaint-data/usr \
	  KDE_ICON_PREFIX=$(CURDIR)/debian/tuxpaint-data/usr/share/icons \
	  GNOME_PREFIX=$(CURDIR)/debian/tuxpaint-data/usr \
	  DOC_PREFIX=$(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data

	# Cleanup after install-data, as we will symlink these fonts
	# to the ones provided by ttf-freefont and other font packages:
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/tuxpaint/fonts/*.ttf
	rm -rf $(CURDIR)/debian/tuxpaint-data/usr/share/tuxpaint/fonts/locale/*_docs/
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/tuxpaint/fonts/locale/ar.ttf
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/tuxpaint/fonts/locale/el.ttf
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/tuxpaint/fonts/locale/ka.ttf
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/tuxpaint/fonts/locale/ko.ttf
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/tuxpaint/fonts/locale/ta.ttf
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/tuxpaint/fonts/locale/te.ttf
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/tuxpaint/fonts/locale/th.ttf
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/tuxpaint/fonts/locale/zh_TW.ttf

	# Cleanup after install-doc, removing extra changelog, license and install files.
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data/CHANGES*
	rm -rf $(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data/COPYING*
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data/INSTALL*
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data/dejavu*
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data/*/COP*
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data/*/INSTAL*
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data/*/GNU*
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data/*/GPL*
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data/*/gpl*
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data/*/LICEN*
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data/de/ANBRINGEN*
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data/de/KOPIE*
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data/sr/ojl*

	find $(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data -name Makefile -exec rm -f {} \;
	rm -rf $(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data/magic-docs/src
	rm -rf $(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data/nn

	# We already have an opendesktop-compliant desktop file, so this
	# one for KDE is redundant.
	rm -rf $(CURDIR)/debian/tuxpaint/usr/share/applnk

        # Add .desktop file
	cp ./src/tuxpaint.desktop $(CURDIR)/debian/tuxpaint/usr/share/applications

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_installmenu -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	# remove unnecessary executable permission
	chmod 644 $(CURDIR)/debian/tuxpaint-data/usr/share/tuxpaint/starters/skyline-sf-dusk-back.jpeg
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installchangelogs -a docs/CHANGES.txt
	dh_installmenu -a
	dh_installcron -a
	dh_installman -a man/en/tuxpaint.1 man/en/tuxpaint-import.1
	dh_icons -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=4
http://tuxpaint.org/ftp/unix/x/tuxpaint/source/tuxpaint-(\d\.\d+\.\d+.*)\.tar.gz debian uupdate
